org.apache.solr.handler

## Class MoreLikeThisHandler.MoreLikeThisHelper

- java.lang.Object
- - org.apache.solr.handler.MoreLikeThisHandler.MoreLikeThisHelper

- Enclosing class:
    MoreLikeThisHandler

      public static class MoreLikeThisHandler.MoreLikeThisHelper
      extends Object

  Helper class for MoreLikeThis that can be called from other request handlers

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MoreLikeThisHelper(SolrParams params, SolrIndexSearcher searcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `getBoostedMLTQuery()`
    `NamedList<BooleanQuery>` | `getMoreLikeTheseQuery(DocList docs)`
    `MoreLikeThis` | `getMoreLikeThis()`
    `DocListAndSet` | `getMoreLikeThis(int id, int start, int rows, List<Query> filters, List<MoreLikeThisHandler.InterestingTerm> terms, int flags)`
    `DocListAndSet` | `getMoreLikeThis(Reader reader, int start, int rows, List<Query> filters, List<MoreLikeThisHandler.InterestingTerm> terms, int flags)`
    `Query` | `getRawMLTQuery()`
    `Query` | `getRealMLTQuery()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MoreLikeThisHelper

          public MoreLikeThisHelper(SolrParams params,
                                    SolrIndexSearcher searcher)

  - ### Method Detail

    - #### getRawMLTQuery

          public Query getRawMLTQuery()

    - #### getBoostedMLTQuery

          public Query getBoostedMLTQuery()

    - #### getRealMLTQuery

          public Query getRealMLTQuery()

    - #### getMoreLikeThis

          public DocListAndSet getMoreLikeThis(int id,
                                               int start,
                                               int rows,
                                               List<Query> filters,
                                               List<MoreLikeThisHandler.InterestingTerm> terms,
                                               int flags)
                                        throws IOException

      Throws:
        `IOException`

    - #### getMoreLikeThis

          public DocListAndSet getMoreLikeThis(Reader reader,
                                               int start,
                                               int rows,
                                               List<Query> filters,
                                               List<MoreLikeThisHandler.InterestingTerm> terms,
                                               int flags)
                                        throws IOException

      Throws:
        `IOException`

    - #### getMoreLikeTheseQuery

          public NamedList<BooleanQuery> getMoreLikeTheseQuery(DocList docs)
                                                        throws IOException

      Throws:
        `IOException`

    - #### getMoreLikeThis

          public MoreLikeThis getMoreLikeThis()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.